div[id*="payment-method-add-form-wrapper"] {
    max-width: 76rem;
    width: 100%;
    margin: 2rem auto;
    padding: 1.5rem;
}

div[id*="payment-method-add-form-wrapper"] input.button{
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.9375rem 1.125rem;
    background-color: var(--color-primary);
    color: white;
    font-size: 0.9375rem;
    width: fit-content;
}

div[id*="payment-method-add-form-wrapper"] input.button:hover{
    opacity: 0.8;
}

div[id*="payment-method-add-form-wrapper"] input.button.address-book-edit-button{
    margin-left: 0;
    margin-right: 0;
    background-color: white;
    color: var(--color-primary);
}

div[id*="payment-method-add-form-wrapper"] input.button.address-book-edit-button:hover{
    opacity: 1;
    color: white;
    background-color: var(--color-primary);
}

div[id*="payment-method-add-form-wrapper"] #edit-add-payment-method{
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
    margin-top: 0;
    margin-bottom: 2.5rem;
}

div[id*="payment-method-add-form-wrapper"] .profile--type--customer{
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

div[id*="payment-method-add-form-wrapper"] .form-item-add-payment-method-billing-information-select-address{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

div[id*="payment-method-add-form-wrapper"] .chosen-container-single .chosen-single{
    background: initial;
    width: fit-content;
    box-shadow: none;
    padding: 0.5rem 1.25rem 0.5rem 0.7rem;
    height: fit-content;
    border: 1px solid var(--color-gray-200);
}

div[id*="payment-method-add-form-wrapper"] .chosen-container-single .chosen-single,
div[id*="payment-method-add-form-wrapper"] .chosen-container-single .chosen-drop{
    min-width: 18rem;
}

div[id*="payment-method-add-form-wrapper"] .chosen-container-single .chosen-single div{
    width: 1.875rem;
}

div[id*="payment-method-add-form-wrapper"] .chosen-container-single .chosen-single div b {
    background-image: none !important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 0.75rem;
}
  
div[id*="payment-method-add-form-wrapper"] .chosen-container-single .chosen-single div b::after {
    content: "";
    display: block;
    width: 8px;
    height: 8px;
    border-right: 1px solid #666;
    border-bottom: 1px solid #666;
    transform: rotate(45deg);
    margin-top: -4px;
}
  
div[id*="payment-method-add-form-wrapper"] .chosen-container-active.chosen-with-drop .chosen-single div b::after {
    transform: rotate(-135deg);
    margin-top: 2px;
}

div[id*="payment-method-add-form-wrapper"] .chosen-container.chosen-with-drop .chosen-drop{
    padding: 0.5rem;
    width: fit-content;
}

div[id*="payment-method-add-form-wrapper"] #edit-add-payment-method-billing-information .form-item:not(.form-type-checkbox){
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

div[id*="payment-method-add-form-wrapper"] #edit-add-payment-method-billing-information .address-container-inline > .form-item {
    margin-right: 0;
}

div[id*="payment-method-add-form-wrapper"] #edit-add-payment-method-billing-information .form-item label{
    font-size: 0.75rem;
}

div[id*="payment-method-add-form-wrapper"] #edit-add-payment-method-billing-information .form-item > input,
div[id*="payment-method-add-form-wrapper"] #edit-add-payment-method-billing-information .form-item > textarea{
    font-size: 0.875rem;
    padding: 0.5rem 0.65rem;
    border-radius: 10px;
    border: 1px solid #D8D9D9;
}
